Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Interface SchemaGenerator

All Known Implementing Classes:
  DefaultSchemaGenerator, DocLitBareSchemaGenerator

    public interface SchemaGenerator

Method Summary
`Collection<org.apache.ws.commons.schema.XmlSchema>` | `generateSchema()`
`String` | `getCustomSchemaLocation()`
`String` | `getMappingFileLocation()`
`Method[]` | `getMethods()`
`String` | `getSchemaTargetNameSpace()`
`String` | `getTargetNamespace()`
`TypeTable` | `getTypeTable()`
`void` | `setAttrFormDefault(String attrFormDefault)`
`void` | `setAxisService(AxisService service)`
`void` | `setCustomSchemaLocation(String customSchemaLocation)`
`void` | `setElementFormDefault(String elementFormDefault)`
`void` | `setExcludeMethods(ArrayList<String> excludeMethods)`
`void` | `setExtraClasses(ArrayList<String> extraClasses)`
`void` | `setMappingFileLocation(String mappingFileLocation)`
`void` | `setNonRpcMethods(ArrayList<String> nonRpcMethods)`
`void` | `setNsGen(NamespaceGenerator nsGen)`
`void` | `setPkg2nsmap(Map<String,String> pkg2nsmap)`
`void` | `setUseWSDLTypesNamespace(boolean useWSDLTypesNamespace)`

Method Detail

### setNsGen

    void setNsGen(NamespaceGenerator nsGen)

### generateSchema

    Collection<org.apache.ws.commons.schema.XmlSchema> generateSchema()
                                                                      throws Exception

  Throws:
    `Exception`

### getTypeTable

    TypeTable getTypeTable()

### getMethods

    Method[] getMethods()

### setExcludeMethods

    void setExcludeMethods(ArrayList<String> excludeMethods)

### getSchemaTargetNameSpace

    String getSchemaTargetNameSpace()

### setAttrFormDefault

    void setAttrFormDefault(String attrFormDefault)

### setElementFormDefault

    void setElementFormDefault(String elementFormDefault)

### setExtraClasses

    void setExtraClasses(ArrayList<String> extraClasses)

### setUseWSDLTypesNamespace

    void setUseWSDLTypesNamespace(boolean useWSDLTypesNamespace)

### setPkg2nsmap

    void setPkg2nsmap(Map<String,String> pkg2nsmap)

### getTargetNamespace

    String getTargetNamespace()

### setNonRpcMethods

    void setNonRpcMethods(ArrayList<String> nonRpcMethods)

### setAxisService

    void setAxisService(AxisService service)

### getCustomSchemaLocation

    String getCustomSchemaLocation()

### setCustomSchemaLocation

    void setCustomSchemaLocation(String customSchemaLocation)

### getMappingFileLocation

    String getMappingFileLocation()

### setMappingFileLocation

    void setMappingFileLocation(String mappingFileLocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.